import React, { ChangeEvent } from 'react';
export type TextAreaProps = React.ComponentPropsWithoutRef<'textarea'> & {
    type?: 'text' | 'password' | 'search' | 'url';
    value?: string;
    placeholder?: string;
    readonly?: boolean;
    error?: React.ReactNode;
    label?: React.ReactNode;
    required?: boolean;
    onChange?: (e: ChangeEvent<HTMLTextAreaElement>) => void;
};
export declare const TextArea: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, "ref"> & {
    type?: "text" | "search" | "password" | "url" | undefined;
    value?: string | undefined;
    placeholder?: string | undefined;
    readonly?: boolean | undefined;
    error?: React.ReactNode;
    label?: React.ReactNode;
    required?: boolean | undefined;
    onChange?: ((e: ChangeEvent<HTMLTextAreaElement>) => void) | undefined;
} & React.RefAttributes<HTMLTextAreaElement>>;
