import React from 'react';
type ButtonAddon = {
    type: 'button';
    label?: string;
    icon?: React.ReactElement;
    onClick: () => void;
};
export type TextFieldProps = React.ComponentPropsWithoutRef<'input'> & {
    label?: React.ReactNode;
    type?: 'text' | 'password' | 'search' | 'url' | 'email' | 'number' | 'tel';
    error?: React.ReactNode;
    leftAddon?: React.ReactNode | ButtonAddon;
    rightAddon?: React.ReactNode | ButtonAddon;
    border?: 'all' | 'bottom' | 'none';
    placeholder?: string;
    readOnly?: boolean;
    width?: string;
};
export declare const TextField: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref"> & {
    label?: React.ReactNode;
    type?: "number" | "text" | "search" | "email" | "password" | "tel" | "url" | undefined;
    error?: React.ReactNode;
    leftAddon?: React.ReactNode | ButtonAddon;
    rightAddon?: React.ReactNode | ButtonAddon;
    border?: "bottom" | "none" | "all" | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    width?: string | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export {};
